<div *ngIf="dataLoaded" class="betEncours">
    <div class="row bets">
        <div class="col text-center">Date du pari</div>
        <div class="col text-center">Match</div>
        <div class="col text-center">Résultat parié</div>
        <div class="col text-center">Cote</div>
        <div class="col text-center">Montant parié</div>
        <div class="col text-center">Gain potentiel</div>
        <div class="col"></div>
    </div>

    <div *ngFor="let item of hasBetsWithEncounters | filterPaidHasBetPipe: false" class="row alert alert-light">
        <div class="col text-center">
            <p>{{ item.encounter.encounterDate | date:'dd/MM/yyyy' }} </p>
        </div>
        <div class="col  text-center text-uppercase">
            <p>{{ item.encounter.hostTeam.name}} | {{ item.encounter.guestTeam.name}}</p>
        </div>

        <div class="col text-center">
            <p *ngIf="item.hasBet.betOn==='DRAW'">Match nul</p>
            <p *ngIf="item.hasBet.betOn==='GUEST'">{{ item.encounter.guestTeam.name}}</p>
            <p *ngIf="item.hasBet.betOn==='HOST'">{{ item.encounter.hostTeam.name}}</p>
        </div>
        <div class="col text-center">
            <p *ngIf="item.hasBet.betOn==='DRAW'">{{
                (item.encounter.guestTeam.ratioRate+item.encounter.hostTeam.ratioRate)/2 }}</p>
            <p *ngIf="item.hasBet.betOn==='GUEST'">{{ item.encounter.guestTeam.ratioRate }}</p>
            <p *ngIf="item.hasBet.betOn==='HOST'">{{ item.encounter.hostTeam.ratioRate }}</p>
        </div>
        <div class="col text-center">
            <p>{{ item.hasBet.amountBet | currency: 'EUR' }} </p>
        </div>
        <div class="col text-center">
            <p *ngIf="item.hasBet.betOn==='DRAW'">{{ calculGains(item.hasBet.amountBet, null, item.encounter) |
                currency:'EUR'}}</p>
            <p *ngIf="item.hasBet.betOn==='GUEST'">{{ calculGains(item.hasBet.amountBet, item.encounter.guestTeam,
                item.encounter) | currency:'EUR'}}</p>
            <p *ngIf="item.hasBet.betOn==='HOST'">{{ calculGains(item.hasBet.amountBet, item.encounter.hostTeam ,
                item.encounter) | currency:'EUR'}}</p>
        </div>

        <div class="col">
            <button class="btn btn-success" data-toggle="tooltip" data-placement="right" title="Modifier mon pari"
                (click)="editHastBet(item.hasBet, item.encounter)"><i class="fa-regular fa-pen-to-square"></i></button>
            <!--<button class="btn btn-danger" data-toggle="tooltip" data-placement="right" title="Supprimer mon pari"
                (click)="deleteHastBet(item.hasBet)"><i class="fa-solid fa-trash"></i></button>-->
        </div>
    </div>
</div>